=== debian/changelog ===
musescore3 (3.2.3+dfsg2-19) unstable; urgency=high

  * Do actually install README.Debian, too

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 12 May 2025 21:54:30 +0000

musescore3 (3.2.3+dfsg2-18) unstable; urgency=high

  * Update 3.0.2+dfsg1-1 changelog entry with resolution
  * Merge musescore2 (2.3.2+dfsg4-16) unstable; urgency=high
    - Update description:
      - the musescore.org software has been renamed upstream to
        Mu͒seScore Studio and the musescore.com website to
        Mu͒seScore Catalogue and the mobile äpps to
        Mu͒seScore Sheet Music for Android and iOS
        ⇒ follow that
      - cease naming commercial competitors it’s supposedly better than
      - update situation description for major version 2 vs. 3
      - document no v4 package is planned due to the freeness reduction
      - plan to package “Mu͒seScore 3 Evolution” (community-maintained
        3.7 fork) as musescore-snapshot (as it has no releases anyway)
      - document Muse Group company takeover, remove mentions of old one
      - reduce delta between v2/v3 descriptions
    - Backport fixes:
      - Help→MusicXML: link correct licence (from mu͒ Evolution)
      - Fix for CVE-2024-44866 (from mu͒4); (Closes: #1070860)
    - Add README.Debian to explicitly express that this should not be
      exposed to untrusted input files without confinement (cf. #1070860)
    - Work around unexpected colourised messages from cmake’s tester
    - Try to blindly fix CVE-2023-44428: (addresses #1070860 as well)
      - improve Capella import robustness
      - arm Q_ASSERT{,_X} macros to exercise the tests and log failures and,
        if MSCORE_ASSERT_ABORT is set, make assertion failure abort()
    - Improve stderr log formatting and omit debug level, except -d is used
    - Bump Policy, transition to libfreetype-dev
    - Update lintian overrides for sid
  * Update MuseJazz Text font
  * Backport GH#16346: CVE-2023-26923
  * Bump Policy; refresh lintian overrides
  * Fix PDF y positions subtly varying on GUI DPI and -D
  * Quell more warnings, compiler or runtime

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 22 Apr 2025 18:38:48 +0000

musescore3 (3.2.3+dfsg2-17) unstable; urgency=medium

  * Fix compilation by GCC 14 (Closes: #1075300)
  * Update description, UMEGAYA
  * Backport a few patches:
    – tmpfile fix
    – fix displayed MusicXML licence
    – constify an array to fix a compiler warning
    – disable a broken command, avoids score corruption
  * Update lintian stuff, bump Policy (no changes)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 08 Jul 2024 22:51:36 +0200

musescore2 (2.3.2+dfsg4-16) unstable; urgency=high

  * Update description:
    - the musescore.org software has been renamed upstream to
      Mu͒seScore Studio and the musescore.com website to
      Mu͒seScore Catalogue and the mobile äpps to
      Mu͒seScore Sheet Music for Android and iOS
      ⇒ follow that
    - cease naming commercial competitors it’s supposedly better than
    - update situation description for major version 2 vs. 3
    - document no v4 package is planned due to the freeness reduction
    - plan to package “Mu͒seScore 3 Evolution” (community-maintained
      3.7 fork) as musescore-snapshot (as it has no releases anyway)
    - document Muse Group company takeover, remove mentions of old one
    - reduce delta between v2/v3 descriptions
  * Backport fixes:
    - Help→MusicXML: link correct licence (from mu͒ Evolution)
    - Fix for CVE-2024-44866 (from mu͒4); (Closes: #1070860)
  * Add README.Debian to explicitly express that this should not be
    exposed to untrusted input files without confinement (cf. #1070860)
  * Work around unexpected colourised messages from cmake’s tester
  * Try to blindly fix CVE-2023-44428: (addresses #1070860 as well)
    - improve Capella import robustness
    - arm Q_ASSERT{,_X} macros to exercise the tests and log failures and,
      if MSCORE_ASSERT_ABORT is set, make assertion failure abort()
  * Improve stderr log formatting and omit debug level, except -d is used
  * Bump Policy, transition to libfreetype-dev
  * Update lintian overrides for sid

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 22 Apr 2025 02:52:14 +0000
